package cd.casic.ci.commons.bean.process.instance;

import cd.casic.ci.commons.bean.process.definition.Pipeline;
import cd.casic.module.system.api.user.dto.AdminUserRespDTO;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.util.List;

/**
 * @author by mianbin
 * @Classname Test
 * @Description 流水线实例模型
 * @Date 2025/4/22 8:45
 */
@Data
@Builder
@Accessors(chain = true)
@NoArgsConstructor
@AllArgsConstructor
public class PipelineInstance {

    //构建实例id
    private String instanceId;

    //创建时间
    private String createTime;

    //运行方式(1.手动运行 2.触发器运行)
    private int runWay;

    private AdminUserRespDTO adminUserRespDTO;

    //运行状态 1.失败 10.成功 20:停止
    private String runStatus;

    //运行时间
    private int runTime;

    private Pipeline pipeline;

    //构建次数
    private int findNumber;

    //运行时间
    private String runTimeDate;

    //日志文件
    private String logPath;

    private Boolean exec;

    /**
     * 初始化信息
     *
     * @param createTime 时间
     * @param runWay     运行方式
     * @param userId     用户id
     * @param pipelineId 流水线id
     */
    public PipelineInstance(String createTime, int runWay, Long userId, String pipelineId) {
        this.createTime = createTime;
        this.runWay = runWay;
        AdminUserRespDTO user = new AdminUserRespDTO();
        user.setId(userId);
        this.pipeline = new Pipeline(pipelineId);
    }

    //执行时间
    private List<Integer> timeList;
}
