package cd.casic.ci.commons.bean.utils;

import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

/**
 * @ClassName Result
 * @Author hopeli
 * @Date 2025/4/28 10:51
 * @Version 1.0
 **/
@Data
public class Result<T> implements Serializable {

    @Serial
    private static final long serialVersionUID = -3654582015538398741L;
    private int code;
    private T data;
    private String msg;
    private String detailMsg;

    public Result() {
    }

    public Result(T data) {
        this.code = 0;
        this.data = data;
    }

    public Result(T data, String msg) {
        this.code = 0;
        this.data = data;
        this.msg = msg;
    }

    public Result(int code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public Result(int code, String msg, String detailMsg) {
        this.code = code;
        this.msg = msg;
        this.detailMsg = detailMsg;
    }

    public static Result ok() {
        return new Result();
    }

    public static <T> Result ok(T data) {
        return new Result(data);
    }

    public static <T> Result ok(T data, String msg) {
        return new Result(data, msg);
    }

    public static Result error(int code, String msg) {
        return new Result(code, msg);
    }

    public static Result error(int code, String msg, String detailMsg) {
        return new Result(code, msg, detailMsg);
    }

    public String toString() {
        int var10000 = this.code;
        return "Result{code=" + var10000 + ", data=" + String.valueOf(this.data) + ", msg='" + this.msg + "', detailMsg='" + this.detailMsg + "'}";
    }
}
