package cd.casic.module.machine.dal.mysql;

import cd.casic.framework.commons.pojo.PageResult;
import cd.casic.framework.mybatis.core.mapper.BaseMapperX;
import cd.casic.framework.mybatis.core.query.LambdaQueryWrapperX;
import cd.casic.module.machine.controller.vo.SecretKeyVO;
import cd.casic.module.machine.dal.dataobject.MachineInfoDO;
import cd.casic.module.machine.dal.dataobject.SecretKeyDO;
import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface SecretKeyMapper extends BaseMapperX<SecretKeyDO> {
    //查询列表
    default PageResult<SecretKeyDO> selectPage(SecretKeyVO secretKeyVO) {
        return selectPage(secretKeyVO, new LambdaQueryWrapperX<SecretKeyDO>()
            .likeIfPresent(SecretKeyDO::getName, secretKeyVO.getName())
            .likeIfPresent(SecretKeyDO::getDescription, secretKeyVO.getDescription()));
    }

    default void bindingMachine(Long machineInfoId, List<Long> secretKeyId) {
        UpdateWrapper<SecretKeyDO> set = new UpdateWrapper<>();
        set.eq("id", secretKeyId).set("machineInfoId", machineInfoId);
        this.update(null, set);
    }
}
