package cd.casic.module.machine.enums;

import cd.casic.framework.commons.core.IntArrayValuable;
import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Arrays;

@Getter
@AllArgsConstructor
//ssh远程连接管道类型
public enum SSHChanelType implements IntArrayValuable {
    EXEC(1, "单条命令返回结果"),
    SHELL(2, "多行命令持续交互"),
    SUBSYSTEM(3, "文件传输或其它特点服务"),
    DIRECT_TCP_IP(4, "TCP 端口转发"),
    X11(5, "X Window 系统转发");

    public static final int[] ARRAYS = Arrays.stream(values()).mapToInt(SSHChanelType::getCode).toArray();

    /**
     * 状态值
     */
    private final Integer code;

    /**
     * 状态名
     */
    private final String message;

    @Override
    public int[] array() {
        return ARRAYS;
    }
}
