package cd.casic.module.machine.service;

import cd.casic.framework.commons.pojo.PageResult;
import cd.casic.module.machine.dal.dataobject.MachineInfoDO;
import cd.casic.module.machine.dal.dataobject.SecretKeyDO;
import cd.casic.module.machine.controller.vo.SecretKeyVO;
import jakarta.validation.Valid;
import org.springframework.core.io.InputStreamResource;
import org.springframework.http.ResponseEntity;

import java.util.List;

public interface SecretKeyService {
    Long createSecretKey(@Valid SecretKeyVO secretKeyVO) throws Exception;

    void bindingMachine(@Valid SecretKeyVO secretKeyVO);

    void updateSecretKey(@Valid SecretKeyVO secretKeyVO);

    PageResult<SecretKeyDO> getSecretKeypage(@Valid SecretKeyVO secretKeyVO);

    void deleteSecretKeyList(List<Long> ids);

    SecretKeyVO getSecretKey(Long id);

    void deleteSecretKey(Long id);

    void unbindMachine(@Valid SecretKeyVO secretKeyVO);

    ResponseEntity<InputStreamResource> downloadSecretFile(Long id);

    List<MachineInfoDO> getBindMachine(Long secretKeyId);

    String getKeyContent(Long secretKeyId);
}

