package cd.casic.module.process.engine.task.dao;

import cd.casic.ci.commons.bean.engine.job.TaskInstanceQuery;
import cd.casic.framework.mybatis.core.mapper.BaseMapperX;
import cd.casic.module.process.engine.task.dataobject.TaskInstanceDo;
import cd.casic.module.process.task.task.entity.TaskInstanceEntity;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * @author by mianbin
 * @Classname TaskInstanceDao
 * @Description TODO
 * @Date 2025/4/23 16:59
 */
@Mapper
public interface TaskInstanceDao extends BaseMapperX<TaskInstanceDo> {
    /**
     * 创建流水线日志
     * @param taskInstanceEntity 流水线历史日志
     * @return 流水线日志id
     */
    public String createInstance(TaskInstanceEntity taskInstanceEntity);

    /**
     * 删除流水线日志
     * @param id 流水线日志id
     */
    public void deleteInstance(String id);

    /**
     * 更新流水线日志
     * @param taskInstanceEntity 更新后流水线日志信息
     */
    public void updateInstance(TaskInstanceEntity taskInstanceEntity);

    /**
     * 查询流水线日志
     * @param id 查询id
     * @return 流水线日志信息
     */
    public TaskInstanceEntity findOne(String id);

    /**
     * 查询所有流水线日志
     * @return 流水线日志列表
     */
    public List<TaskInstanceEntity> findAllInstance();

    public List<TaskInstanceEntity> findStageInstance(String stageId);

    public List<TaskInstanceEntity> findPipelineInstance(String instanceId);
    public List<TaskInstanceEntity> findTaskInstanceList(TaskInstanceQuery query);


    public List<TaskInstanceEntity> findPostInstance(String postprocessId);


    public List<TaskInstanceEntity> findAllInstanceList(List<String> idList);
}
