package cd.casic.module.process.home.service.impl;


import cd.casic.module.process.home.service.HomeCountService;
import cd.casic.module.process.licence.appauth.service.ApplyAuthService;
import cd.casic.module.process.licence.licence.model.Version;
import cd.casic.module.process.licence.licence.service.VersionService;
import cd.casic.module.process.message.MessageNoticeService;
import cd.casic.module.process.message.setting.MessageSendTypeService;
import cd.casic.module.process.security.backups.service.BackupsDbService;
import cd.casic.module.process.setting.service.*;
import cd.casic.module.process.support.util.util.PipelineFinal;
import jakarta.annotation.Resource;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.HashMap;
import java.util.Map;

@Service
public class HomeCountServiceImpl implements HomeCountService {


//    @Resource
//    UserService userService;
//
//    @Resource
//    OrgaService orgaService;
//
//    @Resource
//    UserDirService userDirService;
//
//    @Resource
//    UserGroupService userGroupService;
//
//    @Resource
//    RoleService roleService;

    @Resource
    MessageNoticeService noticeService;

    @Resource
    MessageSendTypeService sendTypeService;

    @Resource
    VersionService versionService;

    @Resource
    ApplyAuthService applyAuthService;

    @Resource
    BackupsDbService backupsDbService;

    @Resource
    EnvService envService;

    @Resource
    ScmService scmService;

    @Resource
    GroupService groupService;

    @Resource
    AuthService authService;

    @Resource
    AuthHostService authHostService;

    @Resource
    AuthThirdService authThirdService;

    @Resource
    AuthHostGroupService authHostGroupService;

    @Override
    public Map<String, Object> findCount(){

        Map<String,Object> map = new HashMap<>();
        // TODO 用户相关先空置
//        Integer userNumber = userService.findUserNumber();
//        map.put("userNumber",userNumber);
//
//        Integer orgaNumber = orgaService.findOrgaNumber();
//        map.put("orgaNumber",orgaNumber);
//
//        Integer userDirNumber = userDirService.findUserDirNumber();
//        map.put("userDirNumber",userDirNumber);
//
//        Integer userGroupNumber = userGroupService.findUserGroupNumber();
//        map.put("userGroupNumber",userGroupNumber);
//
//        Integer roleNumber = roleService.findRoleNumber();
//        map.put("roleNumber",roleNumber);

        Integer noticeNumber = noticeService.findNoticeNumber(PipelineFinal.appName);
        map.put("noticeNumber",noticeNumber);

        Integer sendTypeNumber = sendTypeService.findSendTypeNumber();
        map.put("sendTypeNumber",sendTypeNumber);

        Version version = versionService.getVersion();
        map.put("version",version.getExpired());

        Integer applyAuthNumber = applyAuthService.findApplyAuthNumber();
        map.put("applyAuthNumber",applyAuthNumber);

        String lastBackupsTime = backupsDbService.findLastBackupsTime();
        map.put("lastBackupsTime",lastBackupsTime);

        Integer envNumber = envService.findEnvNumber();
        map.put("envNumber",envNumber);

        Integer scmNumber = scmService.findScmNumber();
        map.put("scmNumber",scmNumber);

        Integer groupNumber = groupService.findGroupNumber();
        map.put("groupNumber",groupNumber);

        Integer authNumber = authService.findAuthNumber();
        map.put("authNumber",authNumber);

        Integer hostNumber = authHostService.findHostNumber();
        map.put("hostNumber",hostNumber);

        Integer serverNumber = authThirdService.findAuthServerNumber();
        map.put("serverNumber",serverNumber);

        Integer hostGroupNumber = authHostGroupService.findHostGroupNumber();
        map.put("hostGroupNumber",hostGroupNumber);

        return map;
    }



}























