package cd.casic.module.process.process.definition.dao;

import cd.casic.ci.commons.bean.process.definition.PipelineQuery;
import cd.casic.framework.commons.pojo.PageResult;
import cd.casic.framework.mybatis.core.mapper.BaseMapperX;
import cd.casic.module.process.pipeline.definition.entity.PipelineEntity;
import cd.casic.module.process.process.definition.dataobject.PipelineDo;
import org.apache.commons.lang3.StringUtils;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.jdbc.core.BeanPropertyRowMapper;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;
import java.util.Objects;
import java.util.stream.Collectors;

/**
 * @author by mianbin
 * @Classname Pipeline
 * @Description TODO
 * @Date 2025/4/23 14:13
 */
@Mapper
public interface PipelineDao extends BaseMapperX<PipelineDo> {
    /**
     * 创建流水线
     * @param pipelineEntity 流水线实体
     * @return 流水线id
     */
    public String createPipeline(PipelineEntity pipelineEntity);

    /**
     * 删除流水线
     * @param id 流水线id
     */
    public void deletePipeline(String id);

    /**
     * 更新流水线
     * @param pipelineEntity 流水线实体
     */
    public void updatePipeline(PipelineEntity pipelineEntity);

    /**
     * 查询单个流水线
     * @param id 流水线id
     * @return 流水线信息
     */
    public PipelineEntity findPipelineById(String id);

    /**
     * 查询所有流水线
     * @return 流水线列表
     */
    public List<PipelineEntity> findAllPipeline();


    public List<PipelineEntity> findAllPipelineList(List<String> idList);

    // 关联查询，查询出收藏的
    public PageResult<PipelineEntity> findPipelineListQuery(PipelineQuery query);


    // 第一个方法：将字符串中的所有字母都转换为小写
//    public static String toLowerCase(String input) {
//        if (input == null) {
//            return null;
//        }
//        StringBuilder result = new StringBuilder();
//        for (char c : input.toCharArray()) {
//            // 如果是大写字母，转换为小写
//            if (Character.isUpperCase(c)) {
//                result.append(Character.toLowerCase(c));
//            } else {
//                result.append(c);
//            }
//        }
//        return result.toString();
//    }

    // 第二个方法：将字符串中的所有字母都转换为大写
//    public static String toUpperCase(String input) {
//        if (input == null) {
//            return null;
//        }
//        StringBuilder result = new StringBuilder();
//        for (char c : input.toCharArray()) {
//            // 如果是小写字母，转换为大写
//            if (Character.isLowerCase(c)) {
//                result.append(Character.toUpperCase(c));
//            } else {
//                result.append(c);
//            }
//        }
//        return result.toString();
//    }


    public List<PipelineEntity> findPipelineList(PipelineQuery query);

    public PageResult<PipelineEntity> findPipelinePage(PipelineQuery query);

//    default  String getLowerCase(String pipelineName) {
//        return toLowerCase(pipelineName);
//    }

    public List<PipelineEntity> findRecentlyPipeline(Object[] pipelineIds, Integer number);

}
