package cd.casic.module.process.process.definition.dao;

import cd.casic.ci.commons.bean.process.definition.PipelineOpenQuery;
import cd.casic.framework.commons.pojo.PageResult;
import cd.casic.framework.mybatis.core.mapper.BaseMapperX;
import cd.casic.module.process.pipeline.definition.entity.PipelineOpenEntity;
import cd.casic.module.process.process.definition.dataobject.PipelineOpenDo;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.jdbc.core.BeanPropertyRowMapper;

import java.util.ArrayList;
import java.util.Collections;
import java.util.List;
import java.util.Map;

/**
 * @author by mianbin
 * @Classname PipelineOpenDao
 * @Description TODO
 * @Date 2025/4/23 14:25
 */
@Mapper
public interface PipelineOpenDao extends BaseMapperX<PipelineOpenDo> {
    /**
     * 创建次数
     * @param pipelineOpenEntity 次数
     * @return 次数id
     */
    public String createOpen(PipelineOpenEntity pipelineOpenEntity);

    /**
     * 删除次数
     * @param openId 次数id
     */
    public void deleteOpen(String openId);

    /**
     * 更新次数
     * @param pipelineOpenEntity 更新信息
     */
    public void updateOpen(PipelineOpenEntity pipelineOpenEntity);

    /**
     * 查询单个次数信息
     * @param openId 次数id
     * @return 次数信息
     */
    public PipelineOpenEntity findOneOpen(String openId);

    /**
     * 查询用户最近打开的流水线
     * @param userId 用户id
     * @return 最近打开信息
     */
    public List<PipelineOpenEntity> findUserAllOpen(String userId);

    public Integer findUserOpenNumberByTime(String userId,String pipelineId,String time);


    public Integer findUserOpenNumber(String userId,String pipelineId);

    public List<String> findUserPipelineOpen(String userId,Integer number);

    public List<String> findUserOpen(String userId,Integer number,String pipelineIds);


    public List<PipelineOpenEntity> findExpirePipelineOpen(String time);



    public String findUserLastOpenPipeline(String userId,String pipelineId);


    public List<PipelineOpenEntity> findPipelineOpenList(PipelineOpenQuery query);


    public PageResult<PipelineOpenEntity> findPipelineOpenPage(PipelineOpenQuery query);


    /**
     * 查询所有次数
     * @return 次数集合
     */
    public List<PipelineOpenEntity> findAllOpen();

    public List<PipelineOpenEntity> findAllOpenList(List<String> idList);
}
