package cd.casic.module.process.process.setting.impl;


import cd.casic.ci.commons.bean.process.setting.Auth;
import cd.casic.module.process.convert.setting.AuthConvert;
import cd.casic.module.process.process.setting.AuthService;
import cd.casic.module.process.process.setting.dao.AuthDao;
import cd.casic.module.process.process.setting.dataobject.AuthDo;
import jakarta.annotation.Resource;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 流水线基本认证服务
 */
@Service
public class AuthServiceImpl implements AuthService {

    @Resource
    AuthDao authDao;

    public int createAuth(Auth auth) {
        return authDao.updateById(AuthConvert.INSTANCE.convertDo(auth));
    }


    @Override
    public void deleteAuth(String authId) {
        authDao.deleteById(authId);
    }

    @Override
    public void updateAuth(Auth auth) {
        String authId = auth.getAuthId();
        Auth oneAuth = findOneAuth(authId);
        int authPublic = auth.getAuthPublic();
        int oneAuthAuth = oneAuth.getAuthPublic();
        //判断是否切换类型
        if (authPublic == 2 && oneAuthAuth == 1) {
            auth.setUsername("");
            auth.setPassword("");
        }
        if (authPublic == 1 && oneAuthAuth == 2) {
            auth.setPrivateKey("");
        }
        authDao.updateById(AuthConvert.INSTANCE.convertDo(auth));
    }

    @Override
    public Auth findOneAuth(String authId) {
        AuthDo authDo = authDao.selectById(authId);
        return AuthConvert.INSTANCE.convert(authDo);
    }

    @Override
    public List<Auth> findAllAuth() {
        List<AuthDo> authDos = authDao.selectList();
        if (authDos == null) {
            return null;
        }
        return AuthConvert.INSTANCE.convertList(authDos);
    }

    @Override
    public List<Auth> findAllAuthList(List<String> idList) {
        List<AuthDo> authDos = authDao.selectByIds(idList);
        return AuthConvert.INSTANCE.convertList(authDos);
    }


    @Override
    public Long findAuthNumber() {
        return authDao.selectCount();
    }


}
