package cd.casic.module.process.support.trigger.dateObject;


import cd.casic.ci.commons.bean.process.definition.Pipeline;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.experimental.Accessors;

/**
 * @author by mianbin
 * @Classname Test
 * @Description 流水线触发器模型
 * @Date 2025/4/22 8:45
 */
@Data
@Builder
@Accessors(chain = true)
@AllArgsConstructor
public class Trigger {

    private String triggerId;

    @Schema(description = "名称")
    private String name;

    @Schema(description = "类型 任务类型")
    private int jobType;

    @Schema(description = "创建时间")
    private String createTime;

    @Schema(description = "流水线id")
    private Pipeline pipeline;

    @Schema(description = "顺序")
    private int jobSort;

    @Schema(description = "更改的数据")
    private Object values;

    // 状态 1--未执行 2--已执行,后面枚举
    private String state;

    @Schema(description = "任务类型")
    private int taskType;

}
